Pod::Spec.new do |s|
  s.name             = 'WebIdOnDeviceDocumentScanner'
  s.version          = '12.3.0-SNAPSHOT'
  s.summary          = 'The WebID on-device id-document scanner for iOS.'

  s.homepage         = 'https://webid-solutions.de/'
  s.license          = { :type => 'Commercial', :text => 'Copyright (C) 2013 - 2024 WebID  Solutions GmbH | www.webid-solutions.de. All Rights Reserved' }
  s.author           = { 'WebID Solutions GmbH' => 'it-service@webid-solutions.de' }
  
  s.platform         = :ios
  s.source           = { :http => 'https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdOnDeviceDocumentScanner/12.3.0/WebIdOnDeviceDocumentScanner.framework-v12.3.0-SNAPSHOT-1313.zip', :sha256 => '76238121954cce1e6b56e8e9d520b4c7bb0888c0a833f24cd67cd30f37d71093' }
  s.swift_versions   = ['5.5']
  
  s.frameworks       = 'UIKit'

  s.ios.deployment_target = '13.0'
  s.ios.vendored_frameworks = 'WebIdOnDeviceDocumentScanner.xcframework'

  s.dependency "WebIdDocumentScanner", "12.3.0-SNAPSHOT" #branch:snapshots
  s.dependency "DocumentReader", "~> 7.2"
  s.dependency "WebIdPluginCore", "12.1.0-SNAPSHOT" #branch:snapshots
end
